Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.xmlconfig
Class GeneratorCreationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  umontreal.iro.lecuyer.xmlconfig.GeneratorCreationException

All Implemented Interfaces:
  Serializable

    public class GeneratorCreationException

extends RuntimeException

This exception is thrown when a problem occurs during the construction of a random variate generator by `RandomVariateGenParam.createGenerator(umontreal.iro.lecuyer.rng.RandomStream)` or `RandomVariateGenParam.createGeneratorInt(umontreal.iro.lecuyer.rng.RandomStream)`.

See Also:
  Serialized Form

Constructor Summary
`GeneratorCreationException()` Constructs a new generator creation exception with no generator information or message.
`GeneratorCreationException(Class<? extends Distribution> distClass, String distParams, Class<? extends RandomVariateGen> genClass)` Constructs a new generator creation exception with distribution class `distClass`, distribution parameters `distParams`, generator class `genClass`, and no message.
`GeneratorCreationException(Class<? extends Distribution> distClass, String distParams, Class<? extends RandomVariateGen> genClass, String message)` Constructs a new generator creation exception with distribution class `distClass`, distribution parameters `distParams`, generator class `genClass`, and message `message`.
`GeneratorCreationException(String message)` Constructs a new generator creation exception with no generator information and message `message`.

Method Summary
`Class<? extends Distribution>` | `getDistributionClass()` Returns the distribution class which caused the exception.
`String` | `getDistributionParameters()` Returns the distribution parameters for which there is no corresponding constructor in the distribution class.
`Class<? extends RandomVariateGen>` | `getGeneratorClass()` Returns the generator class which caused the exception.
`String` | `toString()` Returns a short description of this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeneratorCreationException

    public GeneratorCreationException()

  Constructs a new generator creation exception with no generator information or message.

### GeneratorCreationException

    public GeneratorCreationException(String message)

  Constructs a new generator creation exception with no generator information and message `message`.

  Parameters:
    `message` - the message describing the exception.

### GeneratorCreationException

    public GeneratorCreationException(Class<? extends Distribution> distClass,
                                      String distParams,
                                      Class<? extends RandomVariateGen> genClass)

  Constructs a new generator creation exception with distribution class `distClass`, distribution parameters `distParams`, generator class `genClass`, and no message.

  Parameters:
    `distClass` - the class of the distribution associated with the generator..
    `distParams` - the parameters given to the constructor of the distribution class.
    `genClass` - the class of the random variate generator that cannot be created.

### GeneratorCreationException

    public GeneratorCreationException(Class<? extends Distribution> distClass,
                                      String distParams,
                                      Class<? extends RandomVariateGen> genClass,
                                      String message)

  Constructs a new generator creation exception with distribution class `distClass`, distribution parameters `distParams`, generator class `genClass`, and message `message`.

  Parameters:
    `distClass` - the class of the distribution associated with the generator..
    `distParams` - the parameters given to the constructor of the distribution class.
    `genClass` - the class of the random variate generator that cannot be created.
    `message` - the message describing the exception.

Method Detail

### getDistributionClass

    public Class<? extends Distribution> getDistributionClass()

  Returns the distribution class which caused the exception.

  Returns:
    the distribution class having caused the exception.

### getDistributionParameters

    public String getDistributionParameters()

  Returns the distribution parameters for which there is no corresponding constructor in the distribution class.

  Returns:
    the distribution parameters having caused the exception.

### getGeneratorClass

    public Class<? extends RandomVariateGen> getGeneratorClass()

  Returns the generator class which caused the exception.

  Returns:
    the generator class having caused the exception.

### toString

    public String toString()

  Returns a short description of this exception. If no distribution class, distribution parameters and generator class are associated with this exception, this method returns the result of the superclass's `toString` method. Otherwise, it returns a string with the following contents.
  - The name of this class
  - `": For "`
  - If the distribution class or parameters are available
    - `"distribution "`
    - The name of the distribution class if available
    - If the parameters are available, `"("`, parameters, `")"`
    - If the generator class is available `", "`
  - If the generator class is given, `"generator "` followed by the generator class name
  - If a message is given, `", "` followed by the message string.

  Overrides:
    `toString` in class `Throwable`
  Returns:
    the short string describing the exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.